#include <bits/stdc++.h>

using namespace std;

int main()
{
    /*ios::sync_with_stdio(false);
    cin.tie(NULL);
    string s="";*/
    int n,k;
    cin>>n>>k;

        int a[n-k];
        int jed=0,x,j=0;
        for(int i=0;i<n;i++)
        {
            cin>>x;
            if(x==0 || jed>=k)
            {

                a[j]=x;
                j++;
            }
            else jed++;
        }
        for(int i=0;i<n-k;i++)
            cout<<a[i]<<" ";



    return 0;
}